<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ScrollView
        android:id="@+id/scrollView1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/activity_horizontal_margin"
        android:layout_alignParentLeft="true">

        <LinearLayout
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:textSize="18sp"
                android:textColor="@android:color/black"
                android:id="@+id/textView1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/picture_taking_option" />

            <LinearLayout
                android:orientation="vertical"
                android:background="@drawable/select_setting_border"
                android:paddingLeft="5dp"
                android:paddingTop="5dp"
                android:paddingRight="5dp"
                android:paddingBottom="0dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="4dp"
                android:divider="@android:drawable/divider_horizontal_dark"
                android:showDividers="middle"
                android:dividerPadding="2dp">

                <LinearLayout
                    android:id="@+id/guide_layout"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/list_item_height">

                    <TextView
                        android:textSize="18sp"
                        android:textColor="@android:color/black"
                        android:layout_gravity="center_vertical"
                        android:id="@+id/textView23"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/guide_control"
                        android:layout_weight="1" />

                    <Switch
                        android:id="@+id/guideToggleButton"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0" />
                </LinearLayout>

                <ImageView
                    android:id="@+id/imageView1"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:src="@android:drawable/divider_horizontal_textfield"
                    android:scaleType="fitXY"
                    android:layout_weight="1" />

                <LinearLayout
                    android:id="@+id/auto_pict_taken_layout"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/list_item_height">

                    <TextView
                        android:textSize="18sp"
                        android:textColor="@android:color/black"
                        android:layout_gravity="center_vertical"
                        android:id="@+id/printtarget_size_text"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:text="@string/auto_picture_taking_str"
                        android:layout_weight="1" />

                    <Switch
                        android:layout_gravity="center_vertical"
                        android:id="@+id/autoPictureToggleButton"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content" />
                </LinearLayout>
            </LinearLayout>

            <TextView
                android:textSize="18sp"
                android:textColor="@android:color/black"
                android:id="@+id/scale_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="@string/save_directory" />

            <LinearLayout
                android:id="@+id/save_directory_layout"
                android:background="@drawable/select_setting_border"
                android:padding="5dp"
                android:clickable="true"
                android:layout_width="match_parent"
                android:layout_height="@dimen/list_item_height"
                android:layout_margin="4dp">

                <TextView
                    android:textSize="18sp"
                    android:textColor="@color/gray"
                    android:layout_gravity="center_vertical"
                    android:id="@+id/saveDirectoryText"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:text="@android:string/unknownName"
                    android:layout_weight="1" />

                <ImageView
                    android:id="@+id/imageView2"
                    android:layout_width="27dp"
                    android:layout_height="27dp"
                    android:src="@drawable/next_screen" />
            </LinearLayout>

            <TextView
                android:textSize="18sp"
                android:textColor="@android:color/black"
                android:id="@+id/pixtureResText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="@string/picture_size" />

            <LinearLayout
                android:id="@+id/picture_resolution_layout"
                android:background="@drawable/select_setting_border"
                android:padding="5dp"
                android:clickable="true"
                android:layout_width="match_parent"
                android:layout_height="@dimen/list_item_height"
                android:layout_margin="4dp">

                <TextView
                    android:textSize="18sp"
                    android:textColor="@color/gray"
                    android:layout_gravity="center_vertical"
                    android:id="@+id/pictureResolutionText"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:text="0x0"
                    android:layout_weight="1" />

                <ImageView
                    android:id="@+id/pictureResolutionImageView"
                    android:layout_width="27dp"
                    android:layout_height="27dp"
                    android:src="@drawable/next_screen" />
            </LinearLayout>
        </LinearLayout>
    </ScrollView>
</RelativeLayout>
